import service from '@/utils/request'

export const useT_purchase_detailsApi = (id: number) => {
	return service.get('/maku/t_purchase_details/' + id)
}

export const useT_purchase_detailsSubmitApi = (dataForm: any) => {
	if (dataForm.id) {
		return service.put('/maku/t_purchase_details', dataForm)
	} else {
		return service.post('/maku/t_purchase_details', dataForm)
	}
}
